# FriendsRPG

FriendsRPG is a modified version of DawdleRPG (an IdleRPG clone) written in Python.

## Basic Setup

- Install python-django and docker
- Copy dawdle.conf.example to af/dawdle.conf
- Edit af/dawdle.conf to configure the bot
- Run the following commands:

``` sh
cd site
./manage.py migrate --database=default
./manage.py migrate --database=game
./manage.py collectstatic --no-input
cd ..
./dawdle.py --setup af/dawdle.conf
docker compose up -d --build
```


## Differences from IdleRPG

- Names, items, and durations are in different colors.
- Output throttling allows configurable rate over a period.
- Long messages are word wrapped.
- Logging can be set to different levels.
- Better IRC protocol support.
- More game numbers are configurable.
- Quest pathfinding is much more efficient.
- Fights caused by map collisions have chance of finding item.
- All worn items have a chance to get buffs/debuffs instead of a subset.
- High level character can still get special items.
- Special items are always buffs.
